Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class QueryBuilder.OrderByBuilder

    java.lang.Object
      org.modeshape.jcr.query.QueryBuilder.OrderByBuilder

Enclosing class:
  QueryBuilder

    public class QueryBuilder.OrderByBuilder

extends Object

The component used to build the order-by clause. When the clause is completed, `end()` should be called to return to the `QueryBuilder` instance.

Constructor Summary
`protected` | `QueryBuilder.OrderByBuilder()`

Method Summary
`QueryBuilder.OrderByOperandBuilder` | `ascending()` Begin specifying an order-by specification using `ascending order`.
`QueryBuilder.OrderByOperandBuilder` | `descending()` Begin specifying an order-by specification using `descending order`.
`QueryBuilder` | `end()` Complete the order-by clause and return the QueryBuilder instance.
`QueryBuilder.OrderByBuilder` | `then()` An optional convenience method that returns this builder, but which makes the code using this builder more readable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilder.OrderByBuilder

    protected QueryBuilder.OrderByBuilder()

Method Detail

### ascending

    public QueryBuilder.OrderByOperandBuilder ascending()

  Begin specifying an order-by specification using `ascending order`.

  Returns:
    the interface for specifying the operand that is to be ordered; never null

### descending

    public QueryBuilder.OrderByOperandBuilder descending()

  Begin specifying an order-by specification using `descending order`.

  Returns:
    the interface for specifying the operand that is to be ordered; never null

### then

    public QueryBuilder.OrderByBuilder then()

  An optional convenience method that returns this builder, but which makes the code using this builder more readable.

  Returns:
    this builder; never null

### end

    public QueryBuilder end()

  Complete the order-by clause and return the QueryBuilder instance.

  Returns:
    the query builder instance; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.